> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add

> Add a user as an owner of an app resource.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/apps/{app_id}/resource_types/{resource_type_id}/resource/{resource_id}/owners
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/resource_types/{resource_type_id}/resource/{resource_id}/owners:
    post:
      tags:
        - App Resource Owner
      summary: Add
      description: Add a user as an owner of an app resource.
      operationId: c1.api.app.v1.AppResourceOwners.Add
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The ID of the app that owns the resource.
            readOnly: false
            type: string
        - in: path
          name: resource_type_id
          required: true
          schema:
            description: The ID of the resource type that classifies the resource.
            readOnly: false
            type: string
        - in: path
          name: resource_id
          required: true
          schema:
            description: The ID of the app resource to add an owner to.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v1.AddAppResourceOwnerRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.app.v1.AddAppResourceOwnerResponse'
          description: The empty response message for adding an owner to an app resource.
      x-codeSamples:
        - lang: go
          label: Add
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppResourceOwners.Add(ctx, operations.C1APIAppV1AppResourceOwnersAddRequest{\n        AppID: \"<id>\",\n        ResourceID: \"<id>\",\n        ResourceTypeID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.AddAppResourceOwnerResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.appResourceOwners.add({
                appId: "<id>",
                resourceTypeId: "<id>",
                resourceId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v1.AddAppResourceOwnerRequestInput:
      description: The request message for adding an owner to an app resource.
      properties:
        userId:
          description: The C1 user ID to add as an owner.
          readOnly: false
          type: string
      title: Add App Resource Owner Request
      type: object
      x-speakeasy-name-override: AddAppResourceOwnerRequest
    c1.api.app.v1.AddAppResourceOwnerResponse:
      description: The empty response message for adding an owner to an app resource.
      title: Add App Resource Owner Response
      type: object
      x-speakeasy-name-override: AddAppResourceOwnerResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````